{% extends 'base.html.twig' %}

{% block title %}Poll index{% endblock %}

{% block body %}
    <h1 class="h3 mb-3 font-weight-normal">Sondages</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Date</th>
                <th>Titre</th>
                <th>Options</th>
                {% if app.user %} <!-- if a user is logged in  -->
                <th>actions</th>
                {% endif %}
            </tr>
        </thead>
        <tbody>
        {% for poll in polls %}
            <tr>
                <td>{{ poll.creationDate ? poll.creationDate|date('d/m/Y H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('poll_show', {'id': poll.id}) }}">
                    {{ poll.title }}
                    </a>
                </td>
                <td>
                    <a href="{{ path('poll_option_index', {'poll': poll.id}) }}">éditer les options ({{ nboption[poll.id] }} {% if nboption[poll.id] > 1 %}options {% else %} option {% endif %})</a>
                </td>
                {% if app.user %} <!-- show the links when a user is logged in  -->
                <td>
                    <a href="{{ path('poll_edit', {'id': poll.id}) }}">éditer</a>
                </td>
                {% endif %}
            </tr>
        {% else %}
            <tr>
                <td colspan="4">aucun sondage</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-success" href="{{ path('poll_new') }}">Nouveau sondage</a>
{% endblock %}
